import torch
import torch.nn as nn

class PINN_IK(nn.Module):
    def __init__(self, input_dim=3, output_dim=6):
        super(PINN_IK, self).__init__()
        # 升级为更深、更宽的网络
        self.net = nn.Sequential(
            nn.Linear(input_dim, 128),
            nn.Tanh(),
            nn.Linear(128, 256),
            nn.Tanh(),
            nn.Linear(256, 256),
            nn.Tanh(),
            nn.Linear(256, 128),
            nn.Tanh(),
            nn.Linear(128, output_dim)
        )

    def forward(self, x):
        return self.net(x)